Package org.eclipse.m2m.atl.emftvm.ant

# Class SaveModelTask

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.eclipse.m2m.atl.emftvm.ant.EMFTVMTask
org.eclipse.m2m.atl.emftvm.ant.SaveModelTask

All Implemented Interfaces:
  `Cloneable`

public class SaveModelTask extends EMFTVMTask
Saves a `Model`.

## Field Summary

### Fields inherited from class org.eclipse.m2m.atl.emftvm.ant.EMFTVMTask

`RESOURCE_SET`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor
Description
`SaveModelTask()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Returns the model name.
`String`
`getUri()`
Returns the model URI.
`String`
`getWspath()`
Returns the workspace path.
`protected void`
`innerExecute()`
Performs the actual execution.
`boolean`
`isDerived()`
Returns whether this model file is derived.
`protected void`
`saveToNsuri(String uri)`
Saves model to
`protected void`
`saveToURI(org.eclipse.emf.common.util.URI uri)`
Saves model to EMF URI.
`protected void`
`saveToWspath(String wspath)`
Saves model to
`void`
`setDerived(boolean derived)`
Sets this model file as derived.
`void`
`setName(String name)`
Sets the model name.
`void`
`setUri(String uri)`
Sets the model URI.
`void`
`setWspath(String wspath)`
Sets the workspace path.

### Methods inherited from class org.eclipse.m2m.atl.emftvm.ant.EMFTVMTask

`execute, getMetamodel, getModel, getResourceSet, setModel`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SaveModelTask

public SaveModelTask()

## Method Details

### setName

public void setName(String name)
Sets the model name.

Parameters:
  `name` - the name to set

### getName

public String getName()
Returns the model name.

Returns:
  the name

### setWspath

public void setWspath(String wspath)
Sets the workspace path.

Parameters:
  `wspath` - the wspath to set

### getWspath

public String getWspath()
Returns the workspace path.

Returns:
  the wspath

### setUri

public void setUri(String uri)
Sets the model URI.

Parameters:
  `uri` - the uri to set

### getUri

public String getUri()
Returns the model URI.

Returns:
  the uri

### setDerived

public void setDerived(boolean derived)
Sets this model file as derived.

Parameters:
  `derived` - the derived to set

### isDerived

public boolean isDerived()
Returns whether this model file is derived.

Returns:
  the derived

### innerExecute

protected void innerExecute() throws Exception
Performs the actual execution.

Specified by:
  `innerExecute` in class `EMFTVMTask`
Throws:
  `Exception`

### saveToNsuri

protected void saveToNsuri(String uri)
Saves model to

    uri

.

Parameters:
  `uri` - the EMF URI

### saveToWspath

protected void saveToWspath(String wspath)
Saves model to

    wspath

.

Parameters:
  `wspath` - the workspace path

### saveToURI

protected void saveToURI(org.eclipse.emf.common.util.URI uri)
Saves model to EMF URI.

Parameters:
  `uri` - the EMF URI